apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "nominatim.configMapName" . }}
  namespace: {{ .Values.global.namespace }}
  labels:
    {{- include "nominatim.labels" . | nindent 4 }}
data:
  NOMINATIM_PBF_URL: {{ .Values.config.pbfUrl | quote }}
  NOMINATIM_REPLICATION_URL: {{ .Values.config.replicationUrl | quote }}
  NOMINATIM_IMPORT_STYLE: {{ .Values.config.importStyle | quote }}
  NOMINATIM_THREADS: {{ .Values.config.threads | quote }}
  NOMINATIM_FLATNODE_FILE: {{ .Values.config.flatnodeFile | quote }}
